Installation failed on sdk manager

After flashing jetson xavier jetpack 4.6.1 by accessing the sdkmanager --archived-versions i got for jetpack 4.6.1
Installation failed for VPI on Host
Hereby attaching the logs along with

sdklogs.log (8.3 KB)

It clearly tells you:

First Error: Missing dependencies when running apt command. There are missing dependencies in apt-get database. Try ‘apt-get -f install’ with no packages (or specify a solution) in a terminal, and click RETRY.

I have tried that command
In a terminal and tried retrying
Same error

So what you got from apt-get -f install?
Anyway, it doesn’t affect the device as they are host packages.

Reading package lists… Done
Building dependency tree
Reading state information… Done
0 upgraded, 0 newly installed, 0 to remove and 315 not upgraded.

I noticed this on the log
ERROR: VPI on Host - host: Host Deb package [{python3-vpi1 1.2.3}] not installed; [deb_name]: vpi-python3.6-1.2.3-cuda10-x86_64-linux.deb

Can you manually install it with dpkg?

dpkg: error: cannot access archive 'vpi-python3.6-1.2.3-cuda10-x86_64-linux.deb': No such file or directory

this is what it happens while installing the deb file manually using dpkg

SDK Manager tells you where those archives are downloaded…

Selecting previously unselected package python3-vpi1.
(Reading database ... 240825 files and directories currently installed.)
Preparing to unpack vpi-python3.6-1.2.3-cuda10-x86_64-linux.deb ...
Unpacking python3-vpi1 (1.2.3) ...
dpkg: dependency problems prevent configuration of python3-vpi1:
 python3-vpi1 depends on python3.6; however:
  Package python3.6 is not installed.
 python3-vpi1 depends on python3.6-numpy; however:
  Package python3.6-numpy is not installed.

dpkg: error processing package python3-vpi1 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python3-vpi1

Then it clearly tells you that you need python3.6 and python3.6-numpy.
Simply running sudo dpkg -i does not automatically install dependencies:

sudo apt install python3.6 python3.6-numpy
It doesn’t make change while retrying
sudo apt install python3-numpy
image
sudo dpkg -i vpi-python3.6-1.2.3-cuda10-x86_64-linux.deb
Selecting previously unselected package python3-vpi1.
(Reading database … 242989 files and directories currently installed.)
Preparing to unpack vpi-python3.6-1.2.3-cuda10-x86_64-linux.deb …
Unpacking python3-vpi1 (1.2.3) …
dpkg: dependency problems prevent configuration of python3-vpi1:
python3-vpi1 depends on python3.6; however:
Package python3.6 is not installed.
python3-vpi1 depends on python3.6-numpy; however:
Package python3.6-numpy is not installed.
dpkg: error processing package python3-vpi1 (–install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
python3-vpi1

sudo apt-get -f install
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following packages will be REMOVED:
python3-vpi1
0 upgraded, 0 newly installed, 1 to remove and 133 not upgraded.
1 not fully installed or removed.
After this operation, 2,384 kB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database … 242990 files and directories currently installed.)
Removing python3-vpi1 (1.2.3) …

does this occur if we try in docker image
To get jetpack 4.6.1 we need docker image of 18.0 right?

Using docker should be a better option.

@DaveYYY can you find out issue with this and how to solve?

Have you done this or not.

done !

Can you get a clean Ubuntu install and try again?
Preferably 18.04.

18 version ubuntu is not available with me …
i have ubuntu 20.04

So have you done this or not?

In ubuntu 20.04 its installed